Package org.osgi.service.log

# Enum LogLevel

java.lang.Object
java.lang.Enum<LogLevel>
org.osgi.service.log.LogLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<LogLevel>`, `java.lang.constant.Constable`

public enum LogLevel extends Enum<LogLevel>
Log Levels.

Since:
  1.4

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUDIT`
Audit – Information that must always be logged.
`DEBUG`
Debug – Detailed output for debugging operations.
`ERROR`
Error – Information about an error situation.
`INFO`
Info – Information about normal operation.
`TRACE`
Trace level – Large volume of output for tracing operations.
`WARN`
Warning – Information about a failure or unwanted situation that is not blocking.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`implies(LogLevel other)`
Returns whether this log level implies the specified log level.
`static LogLevel`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LogLevel[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AUDIT

public static final LogLevel AUDIT
Audit – Information that must always be logged.

### ERROR

public static final LogLevel ERROR
Error – Information about an error situation.

### WARN

public static final LogLevel WARN
Warning – Information about a failure or unwanted situation that is not blocking.

### INFO

public static final LogLevel INFO
Info – Information about normal operation.

### DEBUG

public static final LogLevel DEBUG
Debug – Detailed output for debugging operations.

### TRACE

public static final LogLevel TRACE
Trace level – Large volume of output for tracing operations.

## Method Details

### values

public static LogLevel[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static LogLevel valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### implies

public boolean implies(LogLevel other)
Returns whether this log level implies the specified log level.

Parameters:
  `other` - The other log level.
Returns:
  `true` If this log level implies the specified log level; `false` otherwise.